diff --git a/source/common/vec/intra-sse3.cpp b/source/common/vec/intra-sse3.cpp
index 4016692..e9b699e 100644
--- a/source/common/vec/intra-sse3.cpp
+++ b/source/common/vec/intra-sse3.cpp
@@ -29,6 +29,7 @@
 #include <assert.h>
 #include <xmmintrin.h> // SSE
 #include <pmmintrin.h> // SSE3
+#include <tmmintrin.h> // SSSE3
 
 using namespace x265;
 
@@ -115,7 +116,7 @@ inline void predDCFiltering(pixel* above, pixel* left, pixel* dst, intptr_t dstS
         break;
 
     case 8:
-        pix = _mm_cvtsi64_si128(*(uint64_t*)&above[1]);
+        pix = _mm_loadl_epi64((__m128i*)&above[1]);
         im2 = _mm_unpacklo_epi8(pix, _mm_setzero_si128());
         im2 = _mm_srai_epi16(_mm_add_epi16(im1, im2), 2);
         pix = _mm_packus_epi16(im2, im2);
